// https://javascript.plainenglish.io/react-native-path-aliasing-with-simplify-your-imports-and-enhance-your-codebase-9897efee96a8
{
  "extends": "@tsconfig/react-native/tsconfig.json",
  "compilerOptions": {
    // ... other configs, if any
    "baseUrl": ".",
    "target": "ESNext",
    "paths": {
      "@redux/*": [
        "src/redux/*"
      ],
      "@lang/*": [
        "src/lang/*"
      ],
      "@pages/*": [
        "src/pages/*"
      ],
      "@api/*": [
        "src/api/*"
      ],
      "@assets/*": [
        "src/assets/*"
      ],
      "@components/*": [
        "src/components/*"
      ],
      "@scenes/*": [
        "src/scenes/*"
      ],
      "@theme/*": [
        "src/theme/*"
      ],
      "@utils/*": [
        "src/utils/*"
      ],
      "@navigation/*": [
        "src/navigation/*"
      ],
      "@configs/*": [
        "src/configs/*"
      ],
      "@helper/*": [
        "src/helper/*"
      ],
      "@user/*": [
        "src/user/*"
      ],
    },
  }
}